You are viewing a plain text version of this content. The canonical link for it is here.
Posted to notifications@skywalking.apache.org by wu...@apache.org on 2022/01/10 02:55:08 UTC

[skywalking-swck] branch master updated: Update change log and image tag for releasing 0.6.0 (#55)

This is an automated email from the ASF dual-hosted git repository.

wusheng pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/skywalking-swck.git


The following commit(s) were added to refs/heads/master by this push:
     new 570b8bc  Update change log and image tag for releasing 0.6.0 (#55)
570b8bc is described below

commit 570b8bcad1c4d62ac989824ad3a7ad8a39eed8a3
Author: Gao Hongtao <ha...@gmail.com>
AuthorDate: Mon Jan 10 10:55:02 2022 +0800

    Update change log and image tag for releasing 0.6.0 (#55)
---
 CHANGES.md                                          | 13 +++++++++++++
 adapter/Makefile                                    |  5 +++--
 .../config/namespaced/adapter/kustomization.yaml    |  2 +-
 docs/release.md                                     |  1 +
 hack/{operator-deploy.sh => deploy.sh}              | 21 ++++++++++++++-------
 operator/Makefile                                   |  4 ++--
 operator/config/manager/kustomization.yaml          |  2 +-
 7 files changed, 35 insertions(+), 13 deletions(-)

diff --git a/CHANGES.md b/CHANGES.md
index 68722da..5643669 100644
--- a/CHANGES.md
+++ b/CHANGES.md
@@ -2,6 +2,19 @@ Changes by Version
 ==================
 Release Notes.
 
+0.6.0
+------------------
+
+#### Features
+- Add the Satellite CRD, webhooks and controller
+
+#### Bugs
+- Update release images to set numeric user id 
+- Fix the satellite config not support number error
+
+#### Chores
+- Add stabilization windows feature in satellite HPA documentation
+
 0.5.0
 ------------------
 
diff --git a/adapter/Makefile b/adapter/Makefile
index b2bc4f1..d2fecad 100644
--- a/adapter/Makefile
+++ b/adapter/Makefile
@@ -58,8 +58,9 @@ docker-push: ## Push docker image with the adapter.
 ##@ Deployment
 
 .PHONY: deploy
-deploy: kustomize ## Deploy ADAPTER controller to the K8s cluster specified in ~/.kube/config.
-	kustomize build config/ | kubectl apply -f -
+deploy: kustomize ## Deploy adapter controller to the K8s cluster specified in ~/.kube/config.
+	@echo "Deploy adapter"
+	-MOD=adapter DIR="./" IMG_PATH=namespaced/adapter IMG=metrics-adapter NEW_IMG=${ADAPTER_IMG} $(root_dir)/hack/deploy.sh d
 
 .PHONY: release-build
 release-build: ## Build binary for release
diff --git a/adapter/config/namespaced/adapter/kustomization.yaml b/adapter/config/namespaced/adapter/kustomization.yaml
index a6f53ec..7c49936 100644
--- a/adapter/config/namespaced/adapter/kustomization.yaml
+++ b/adapter/config/namespaced/adapter/kustomization.yaml
@@ -22,4 +22,4 @@ kind: Kustomization
 images:
 - name: metrics-adapter
   newName: apache/skywalking-swck
-  newTag: v0.4.0
+  newTag: v0.6.0
diff --git a/docs/release.md b/docs/release.md
index 6fc593f..afd3a40 100644
--- a/docs/release.md
+++ b/docs/release.md
@@ -6,6 +6,7 @@ This documentation guides the release manager to release the SkyWalking Cloud on
 
 1. Close(if finished, or move to next milestone otherwise) all issues in the current milestone from [skywalking-swck](https://github.com/apache/skywalking-swck/milestones) and [skywalking](https://github.com/apache/skywalking/milestones), create a new milestone if needed.
 2. Update [CHANGES.md](../CHANGES.md).
+3. Update image tags of adapter and operator.
 
 
 ## Add your GPG public key to Apache svn
diff --git a/hack/operator-deploy.sh b/hack/deploy.sh
similarity index 72%
rename from hack/operator-deploy.sh
rename to hack/deploy.sh
index 4aafa88..f2ab2d0 100755
--- a/hack/operator-deploy.sh
+++ b/hack/deploy.sh
@@ -19,16 +19,23 @@
 set -u
 set -ex
 
-OUT_DIR=$(mktemp -d -t operator-deploy.XXXXXXXXXX) || { echo "Failed to create temp file"; exit 1; }
+MOD=${MOD:-operator}
+DIR=${DIR:-default}
+IMG_PATH=${IMG_PATH:-manager}
+IMG=${IMG:-controller}
+NEW_IMG=${NEW_IMG:-controller}
+
+OUT_DIR=$(mktemp -d -t ${MOD}-deploy.XXXXXXXXXX) || { echo "Failed to create temp file"; exit 1; }
 
 SCRIPTPATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
-ROOTDIR="${SCRIPTPATH}/../operator"
+TOOLBIN=${SCRIPTPATH}/../bin
+ROOTDIR="${SCRIPTPATH}/../${MOD}"
 
 main() {
     [[ $1 -eq 0 ]] && frag="apply" || frag="delete --ignore-not-found=true"
     cp -Rvf "${ROOTDIR}"/config/* "${OUT_DIR}"/.
-    cd "${OUT_DIR}"/manager && kustomize edit set image controller=${OPERATOR_IMG}
-    kustomize build "${OUT_DIR}"/default | kubectl ${frag} -f -
+    cd "${OUT_DIR}"/${IMG_PATH} && ${TOOLBIN}/kustomize edit set image ${IMG}=${NEW_IMG}
+    ${TOOLBIN}/kustomize build "${OUT_DIR}"/${DIR} | kubectl ${frag} -f -
 }
 
 usage() {
@@ -37,8 +44,8 @@ Usage:
     ${0} -[duh]
 
 Parameters:
-    -d  Deploy operator
-    -u  Undeploy operator
+    -d  Deploy ${MOD}
+    -u  Undeploy ${MOD}
     -h  Show this help.
 EOF
 exit 1
@@ -68,4 +75,4 @@ ret=0
 parseCmdLine "$@"
 ret=$?
 [ $ret -ne 0 ] && exit $ret
-echo "Done deploy [$OPERATOR_IMG] (exit $ret)"
\ No newline at end of file
+echo "Done deploy [$NEW_IMG] (exit $ret)"
\ No newline at end of file
diff --git a/operator/Makefile b/operator/Makefile
index e3774b4..d18fc45 100644
--- a/operator/Makefile
+++ b/operator/Makefile
@@ -98,12 +98,12 @@ uninstall: manifests kustomize ## Uninstall CRDs from the K8s cluster specified
 .PHONY: deploy
 deploy: manifests kustomize ## Deploy operator controller to the K8s cluster specified in ~/.kube/config.
 	@echo "Deploy operator"
-	-$(root_dir)/hack/operator-deploy.sh d
+	-MOD=operator DIR=default IMG_PATH=manager IMG=controller NEW_IMG=${OPERATOR_IMG} $(root_dir)/hack/deploy.sh d
 
 .PHONY: undeploy
 undeploy: manifests ## Undeploy operator controller from the K8s cluster specified in ~/.kube/config.
 	@echo "Undeploy operator"
-	-$(root_dir)/hack/operator-deploy.sh u
+	-MOD=operator DIR=default IMG_PATH=manager IMG=controller NEW_IMG=${OPERATOR_IMG} $(root_dir)/hack/deploy.sh u
 
 ##@ Release
 
diff --git a/operator/config/manager/kustomization.yaml b/operator/config/manager/kustomization.yaml
index 681f68b..c7f03fb 100644
--- a/operator/config/manager/kustomization.yaml
+++ b/operator/config/manager/kustomization.yaml
@@ -30,4 +30,4 @@ kind: Kustomization
 images:
 - name: controller
   newName: apache/skywalking-swck
-  newTag: v0.4.0
+  newTag: v0.6.0